using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Setting.Company.Cqrs;

public class UpdateCompanyValidator : AbstractValidator<UpdateCompanyRequest>
{
    public UpdateCompanyValidator()
    {
        RuleFor(x => x.Id).NotEmpty().WithMessage("ID is required for update");
        RuleFor(x => x.Name).NotEmpty().MaximumLength(GlobalConsts.StringLengthShort);
        RuleFor(x => x.CurrencyId).NotEmpty();
        RuleFor(x => x.Email).NotEmpty().EmailAddress();
    }
}